EventListPresenter (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.gui.event
Class EventListPresenter

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      com.bbn.openmap.gui.OMComponentPanel
                          com.bbn.openmap.gui.event.AbstractEventPresenter
                              com.bbn.openmap.gui.event.EventListPresenter

All Implemented Interfaces:
  EventPresenter, FilterPresenter, LightMapHandlerChild, PropertyConsumer, TimeBoundsListener, TimeEventListener, java.awt.event.MouseListener, java.awt.event.MouseMotionListener, java.awt.image.ImageObserver, java.awt.MenuContainer, java.beans.beancontext.BeanContextChild, java.beans.beancontext.BeanContextMembershipListener, java.beans.PropertyChangeListener, java.io.Serializable, java.util.EventListener, javax.accessibility.Accessible, javax.swing.event.ListSelectionListener

    public class EventListPresenter

extends AbstractEventPresenter
implements EventPresenter, javax.swing.event.ListSelectionListener, java.beans.PropertyChangeListener, java.awt.event.MouseListener, java.awt.event.MouseMotionListener, TimeBoundsListener, TimeEventListener

The EventListPresenter presents OMEvents as a list. It will find OMEventHandlers in the MapHandler and display the events of the active ones. Clicking on the list will set the current time to the event time, and also move the map to the event location. You can also use the filter and rating controls to group events. The TimePanel will limit playback over events that have been marked with the play filter, and the TimelineLayer will display the rating colors over the range of events designated with those ratings.

     eventListPresenter.class=com.bbn.openmap.gui.event.EventListPresenter
     eventListPresenter.prettyName=List
     eventListPresenter.cellRendererClass=com.bbn.openmap.gui.event.EventListCellRenderer
     eventListPresenter.selectColor=0xAA006699
     eventListPresenter.timeWindowColor=0x55666666
     # can override if you want to change what the icons look like
     eventListPresenter.iconPackageClass=com.bbn.openmap.gui.event.EventListIconPackage
     # optional, if you want to turn these off at the bottom of the presenter.
     eventListPresenter.showRatings=false
     eventListPresenter.showPlayFilter=false

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.JPanel
`javax.swing.JPanel.AccessibleJPanel`

Nested classes/interfaces inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Nested classes/interfaces inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`protected java.util.TreeSet<OMEvent>` | `activeEvents`
`protected java.util.List` | `activeFilters`
`protected OMEventSelectionCoordinator` | `aesc`
`protected java.util.TreeSet<OMEvent>` | `allEvents`
`protected EventListCellRenderer` | `cellRenderer`
`static java.lang.String` | `CellRendererClassProperty`
`protected Clock` | `clock`
`protected long` | `currentTime`
`protected javax.swing.JLabel` | `detailSpace`
`protected javax.swing.JPanel` | `detailSpacePanel`
`static java.lang.String` | `DisplayIntervalProperty`
`protected javax.swing.JList` | `displayList`
`protected long` | `displayTimeWindow`
`protected DrawingAttributes` | `drawingAttributes` A drawing attributes object that holds the basic colors used for display.
`protected java.util.LinkedList<OMEventHandler>` | `eventHandlers`
`protected javax.swing.JPanel` | `filterPanel`
`protected java.util.Hashtable` | `filters`
`protected int` | `lastIndexOfCellDetail`
`static java.util.logging.Logger` | `logger`
`protected java.util.LinkedList` | `macroFilters`
`protected MapBean` | `map`
`protected EventPanel` | `parentPanel`
`static java.lang.String` | `PreferredHeightProperty`
`static java.lang.String` | `PreferredWidthProperty`
`protected int` | `prefHeight`
`protected int` | `prefWidth`
`protected javax.swing.ToolTipManager` | `ttmanager`

Fields inherited from class com.bbn.openmap.gui.event.AbstractEventPresenter
`name`

Fields inherited from class com.bbn.openmap.gui.OMComponentPanel
`beanContextChildSupport, i18n, isolated, orientation, propertyPrefix, windowSupport`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface com.bbn.openmap.gui.event.EventPresenter
`ActiveEventsProperty, EventAttributesUpdatedProperty, SelectedEventsProperty`

Fields inherited from interface com.bbn.openmap.gui.event.FilterPresenter
`FILTER_STATE`

Fields inherited from interface com.bbn.openmap.PropertyConsumer
`EditorProperty, initPropertiesProperty, LabelEditorProperty, ScopedEditorProperty`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`EventListPresenter()` Create a new EventListPresenter with a BorderLayout.

Method Summary
`void` | `addEventHandler(OMEventHandler aeh)`
`protected void` | `addFilter(java.lang.String string, java.lang.Boolean value)`
`void` | `clearEventHandlers()`
`protected void` | `clearFilters()` Clear out the list of filters.
`void` | `clearSelection()`
`void` | `findAndInit(java.lang.Object someObj)`
`void` | `findAndUndo(java.lang.Object someObj)`
`java.util.Iterator<OMEvent>` | `getActiveEvents()` This is the method that creates a sorted list of visible events.
`java.util.List` | `getActiveFilters()`
`java.util.Iterator<OMEvent>` | `getAllEvents()` This is the method that creates a sorted list of all events.
`Clock` | `getClock()`
`protected double` | `getDisplayListCellHeight()`
`protected int` | `getDisplayListIndex(java.awt.event.MouseEvent e)`
`long` | `getDisplayTimeWindow()`
`javax.swing.ListCellRenderer` | `getEventCellRenderer()`
`protected javax.swing.JComponent` | `getEventControlPanel()`
`javax.swing.JPanel` | `getFilterPanel()`
`java.util.Hashtable` | `getFilters()`
`protected javax.swing.ListModel` | `getListModel()`
`MapBean` | `getMap()`
`DrawingAttributes` | `getSelectionDrawingAttributes()` Return a set of drawing attributes that match what the presenter is using for selection;
`void` | `hideDetails()`
`protected void` | `highlightCurrentEvent(long newCurrentTime)`
`protected void` | `initInterface(java.util.Iterator<OMEvent> it, boolean setSelected)` Resets the event list.
`boolean` | `isEventActive(OMEvent OMe)`
`static void` | `main(java.lang.String[] argv)`
`void` | `mouseClicked(java.awt.event.MouseEvent e)`
`void` | `mouseDragged(java.awt.event.MouseEvent e)`
`void` | `mouseEntered(java.awt.event.MouseEvent e)`
`void` | `mouseExited(java.awt.event.MouseEvent e)`
`void` | `mouseMoved(java.awt.event.MouseEvent e)`
`void` | `mousePressed(java.awt.event.MouseEvent e)`
`void` | `mouseReleased(java.awt.event.MouseEvent e)`
`void` | `propertyChange(java.beans.PropertyChangeEvent evt)`
`void` | `rebuildEventList()`
`void` | `rebuildEventList(boolean resetSelected)` This is the method that rebuilds the list of visible events.
`protected void` | `rebuildFilterInterface()` Rebuilds the contents of the panel in the popup window for the filters supplied by the event handlers.
`void` | `removeEventHandler(OMEventHandler aeh)`
`void` | `resetFilters()` Set the filters so that all event handlers will return anything they have, and rebuild interface.
`void` | `resetFilters(java.lang.Boolean enabled)` Set the filters on/off so that all event handlers will return anything they have, and rebuild interface.
`void` | `resolveSelectionForHiddenEvents(java.lang.Object key, java.lang.Object value)`
`void` | `retrieveFiltersFromEventHandlers()` Contacts the OMEventHandlers and gets their filters from them.
`protected void` | `scrollToSelected(java.util.List<OMEvent> selectedEvents)`
`boolean` | `selectEvent(OMEvent event)`
`void` | `setAllEventsAttribute(java.lang.Object key, java.lang.Object value)`
`void` | `setClock(Clock cl)`
`void` | `setDisplayTimeWindow(long displayTimeWindow)`
`void` | `setEventCellRenderer(EventListCellRenderer lcr)`
`protected void` | `setFilterValue(java.lang.String title, boolean b)`
`protected void` | `setFilterValue(java.lang.String title, java.lang.Boolean val)`
`protected void` | `setListModel(javax.swing.ListModel lm)`
`void` | `setMap(MapBean map)`
`void` | `setProperties(java.lang.String prefix, java.util.Properties props)` Sets the properties for the OMComponent.
`void` | `setSelectedEventsAttribute(java.lang.Object key, java.lang.Object value)`
`void` | `showDetails(java.lang.String contents)`
`void` | `updateInterface()`
`void` | `updateInterface(boolean resetSelected)`
`void` | `updateTime(TimeEvent te)`
`void` | `updateTimeBounds(TimeBoundsEvent tbe)` This method will be called on the TimeBoundsListener to let it know that the time bounds have changed.
`void` | `valueChanged(javax.swing.event.ListSelectionEvent e)` This method is required by ListSelectionListener.

Methods inherited from class com.bbn.openmap.gui.event.AbstractEventPresenter
`getActiveEvents, getComponent, getName, getProperties, setName`

Methods inherited from class com.bbn.openmap.gui.OMComponentPanel
`addVetoableChangeListener, childrenAdded, childrenRemoved, findAndInit, fireVetoableChange, getBeanContext, getOrientation, getPropertyInfo, getPropertyPrefix, getWindowSupport, isIsolated, removeVetoableChangeListener, setBeanContext, setIsolated, setOrientation, setProperties, setPropertyPrefix, setWindowSupport`

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.bbn.openmap.gui.event.EventPresenter
`getComponent`

Methods inherited from interface com.bbn.openmap.gui.event.FilterPresenter
`addPropertyChangeListener, getName, removePropertyChangeListener`

Methods inherited from interface java.beans.beancontext.BeanContextChild
`addPropertyChangeListener, removePropertyChangeListener`

Field Detail

### logger

    public static java.util.logging.Logger logger

### eventHandlers

    protected java.util.LinkedList<OMEventHandler> eventHandlers

### macroFilters

    protected java.util.LinkedList macroFilters

### parentPanel

    protected EventPanel parentPanel

### displayList

    protected javax.swing.JList displayList

### clock

    protected Clock clock

### map

    protected MapBean map

### activeFilters

    protected java.util.List activeFilters

### filters

    protected java.util.Hashtable filters

### filterPanel

    protected javax.swing.JPanel filterPanel

### displayTimeWindow

    protected long displayTimeWindow

### prefWidth

    protected int prefWidth

### prefHeight

    protected int prefHeight

### detailSpace

    protected javax.swing.JLabel detailSpace

### detailSpacePanel

    protected javax.swing.JPanel detailSpacePanel

### activeEvents

    protected java.util.TreeSet<OMEvent> activeEvents

### allEvents

    protected java.util.TreeSet<OMEvent> allEvents

### aesc

    protected OMEventSelectionCoordinator aesc

### cellRenderer

    protected EventListCellRenderer cellRenderer

### DisplayIntervalProperty

    public static final java.lang.String DisplayIntervalProperty

See Also:
  Constant Field Values

### CellRendererClassProperty

    public static final java.lang.String CellRendererClassProperty

See Also:
  Constant Field Values

### PreferredWidthProperty

    public static final java.lang.String PreferredWidthProperty

See Also:
  Constant Field Values

### PreferredHeightProperty

    public static final java.lang.String PreferredHeightProperty

See Also:
  Constant Field Values

### drawingAttributes

    protected DrawingAttributes drawingAttributes

  A drawing attributes object that holds the basic colors used for display. The font color is held as line paint, the select color is held as the select paint, the time window color is held as the matting paint, and the background color is held as the fill paint.

### ttmanager

    protected javax.swing.ToolTipManager ttmanager

### currentTime

    protected long currentTime

### lastIndexOfCellDetail

    protected int lastIndexOfCellDetail

Constructor Detail

### EventListPresenter

    public EventListPresenter()

  Create a new EventListPresenter with a BorderLayout. The scrolled pane containing the list is in the main body, and controls for bringing up the filter controls are display in the NORTH.

Method Detail

### setProperties

    public void setProperties(java.lang.String prefix,
                              java.util.Properties props)

  Description copied from class: `OMComponentPanel`
  Sets the properties for the OMComponent.

  Specified by:
    `setProperties` in interface `PropertyConsumer`
  Overrides:
    `setProperties` in class `AbstractEventPresenter`
  Parameters:
    `prefix` - the token to prefix the property names
    `props` - the `Properties` object

### getSelectionDrawingAttributes

    public DrawingAttributes getSelectionDrawingAttributes()

  Description copied from interface: `EventPresenter`
  Return a set of drawing attributes that match what the presenter is using for selection;

  Specified by:
    `getSelectionDrawingAttributes` in interface `EventPresenter`
  Returns:
    DrawingAttributes containing rendering info for selected items.

### addEventHandler

    public void addEventHandler(OMEventHandler aeh)

### removeEventHandler

    public void removeEventHandler(OMEventHandler aeh)

### clearEventHandlers

    public void clearEventHandlers()

### rebuildEventList

    public void rebuildEventList()

### rebuildEventList

    public void rebuildEventList(boolean resetSelected)

  This is the method that rebuilds the list of visible events.

### getAllEvents

    public java.util.Iterator<OMEvent> getAllEvents()

  This is the method that creates a sorted list of all events.

  Specified by:
    `getAllEvents` in interface `EventPresenter`
  Returns:
    Iterator of OMEvents.

### isEventActive

    public boolean isEventActive(OMEvent OMe)

### getActiveEvents

    public java.util.Iterator<OMEvent> getActiveEvents()

  This is the method that creates a sorted list of visible events.

  Specified by:
    `getActiveEvents` in interface `EventPresenter`
  Returns:
    Iterator of OMEvents.

### initInterface

    protected void initInterface(java.util.Iterator<OMEvent> it,
                                 boolean setSelected)

  Resets the event list.

  Parameters:
    `it` - Iterator over all visible events (active)
    `setSelected` - select the last currently selected on the list, has the side effect of resetting the clock. You want this to be false when event handlers are being added.

### getEventCellRenderer

    public javax.swing.ListCellRenderer getEventCellRenderer()

### setEventCellRenderer

    public void setEventCellRenderer(EventListCellRenderer lcr)

### addFilter

    protected void addFilter(java.lang.String string,
                             java.lang.Boolean value)

  Parameters:
    `string` - adding a filter string to the list of presentable filters available from one of the MissionEventHandler.

### clearFilters

    protected void clearFilters()

  Clear out the list of filters.

### getFilterPanel

    public javax.swing.JPanel getFilterPanel()

  Specified by:
    `getFilterPanel` in interface `FilterPresenter`
  Returns:
    the JPanel containing filter controls for this display.

### rebuildFilterInterface

    protected void rebuildFilterInterface()

  Rebuilds the contents of the panel in the popup window for the filters supplied by the event handlers.

### setFilterValue

    protected void setFilterValue(java.lang.String title,
                                  boolean b)

  Parameters:
    `title` -
    `b` -

### setFilterValue

    protected void setFilterValue(java.lang.String title,
                                  java.lang.Boolean val)

### resetFilters

    public void resetFilters()

  Set the filters so that all event handlers will return anything they have, and rebuild interface.

### resetFilters

    public void resetFilters(java.lang.Boolean enabled)

  Set the filters on/off so that all event handlers will return anything they have, and rebuild interface.

  Specified by:
    `resetFilters` in interface `FilterPresenter`

### updateInterface

    public void updateInterface()

### updateInterface

    public void updateInterface(boolean resetSelected)

### getFilters

    public java.util.Hashtable getFilters()

  Specified by:
    `getFilters` in interface `FilterPresenter`
  Returns:
    a Hashtable containing filter strings as keys, with Boolean TRUE/FALSE for whether they are enabled.

### getActiveFilters

    public java.util.List getActiveFilters()

  Specified by:
    `getActiveFilters` in interface `FilterPresenter`
  Returns:
    a List of Strings for the filters that have been turned on.

### retrieveFiltersFromEventHandlers

    public void retrieveFiltersFromEventHandlers()

  Contacts the OMEventHandlers and gets their filters from them. Re-initializes the filter GUI.

### clearSelection

    public void clearSelection()

### setListModel

    protected void setListModel(javax.swing.ListModel lm)

### getListModel

    protected javax.swing.ListModel getListModel()

### valueChanged

    public void valueChanged(javax.swing.event.ListSelectionEvent e)

  This method is required by ListSelectionListener. It causes events to happen when something in the list is clicked on.

  Specified by:
    `valueChanged` in interface `javax.swing.event.ListSelectionListener`

### selectEvent

    public boolean selectEvent(OMEvent event)

### findAndInit

    public void findAndInit(java.lang.Object someObj)

  Specified by:
    `findAndInit` in interface `LightMapHandlerChild`
  Overrides:
    `findAndInit` in class `OMComponentPanel`

### findAndUndo

    public void findAndUndo(java.lang.Object someObj)

  Specified by:
    `findAndUndo` in interface `LightMapHandlerChild`
  Overrides:
    `findAndUndo` in class `OMComponentPanel`

### setClock

    public void setClock(Clock cl)

### getClock

    public Clock getClock()

### setMap

    public void setMap(MapBean map)

### getMap

    public MapBean getMap()

### getDisplayTimeWindow

    public long getDisplayTimeWindow()

  Returns:
    Returns the displayTimeWindow.

### setDisplayTimeWindow

    public void setDisplayTimeWindow(long displayTimeWindow)

  Parameters:
    `displayTimeWindow` - The displayTimeWindow to set.

### updateTimeBounds

    public void updateTimeBounds(TimeBoundsEvent tbe)

  Description copied from interface: `TimeBoundsListener`
  This method will be called on the TimeBoundsListener to let it know that the time bounds have changed.

  Specified by:
    `updateTimeBounds` in interface `TimeBoundsListener`
  Parameters:
    `tbe` - TimeBoundsEvent with the source of the change along with the old and new values.

### updateTime

    public void updateTime(TimeEvent te)

  Specified by:
    `updateTime` in interface `TimeEventListener`

### propertyChange

    public void propertyChange(java.beans.PropertyChangeEvent evt)

  Specified by:
    `propertyChange` in interface `java.beans.PropertyChangeListener`

### scrollToSelected

    protected void scrollToSelected(java.util.List<OMEvent> selectedEvents)

### highlightCurrentEvent

    protected void highlightCurrentEvent(long newCurrentTime)

  Parameters:
    `newCurrentTime` - the time to use for selecting current event.

### mouseClicked

    public void mouseClicked(java.awt.event.MouseEvent e)

  Specified by:
    `mouseClicked` in interface `java.awt.event.MouseListener`

### mousePressed

    public void mousePressed(java.awt.event.MouseEvent e)

  Specified by:
    `mousePressed` in interface `java.awt.event.MouseListener`

### mouseReleased

    public void mouseReleased(java.awt.event.MouseEvent e)

  Specified by:
    `mouseReleased` in interface `java.awt.event.MouseListener`

### mouseEntered

    public void mouseEntered(java.awt.event.MouseEvent e)

  Specified by:
    `mouseEntered` in interface `java.awt.event.MouseListener`

### mouseExited

    public void mouseExited(java.awt.event.MouseEvent e)

  Specified by:
    `mouseExited` in interface `java.awt.event.MouseListener`

### mouseDragged

    public void mouseDragged(java.awt.event.MouseEvent e)

  Specified by:
    `mouseDragged` in interface `java.awt.event.MouseMotionListener`

### mouseMoved

    public void mouseMoved(java.awt.event.MouseEvent e)

  Specified by:
    `mouseMoved` in interface `java.awt.event.MouseMotionListener`

### showDetails

    public void showDetails(java.lang.String contents)

### hideDetails

    public void hideDetails()

### getDisplayListIndex

    protected int getDisplayListIndex(java.awt.event.MouseEvent e)

### getDisplayListCellHeight

    protected double getDisplayListCellHeight()

### getEventControlPanel

    protected javax.swing.JComponent getEventControlPanel()

### setSelectedEventsAttribute

    public void setSelectedEventsAttribute(java.lang.Object key,
                                           java.lang.Object value)

### resolveSelectionForHiddenEvents

    public void resolveSelectionForHiddenEvents(java.lang.Object key,
                                                java.lang.Object value)

### setAllEventsAttribute

    public void setAllEventsAttribute(java.lang.Object key,
                                      java.lang.Object value)

### main

    public static void main(java.lang.String[] argv)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details